# Contributing

If you have any issues or ideas for improvement you can contact me in the [CMK forum](https://forum.checkmk.com/) by sending me a direct message to `@thl-cmk` (this is the prefered way) or send an email to _thl-cmk[at]outlook[dot]com_.

Please include:
- your CMK version/edition
- your environment (stand alone or distributed)
- the OS of your CMK server(s)
- the version of the plugin
- the crash report (if any)

I might also need the output of the check command. I.e.

```
~$ ./local/lib/nagios/plugins/check_ntp -H <your-ntp-server>
Stratum: 3, Reference ID: 194.25.134.196, Time: Sun Apr  7 13:38:52 2024
Stratum: 3
Ref-ID: 194.25.134.196,
Time: Sun Apr  7 13:38:52 2024
Mode: server
Version: 4
Poll: 0
Precision: -21
Leap: no warning

Perfdata
Offset: -0.0051 s
Delay: 0.0279 s
Root dispersion: 0.0051 s

Timestamps:
Reference Timestamp (ref): 3921477760.322452
Origin Timestamp (org): 3921478732.436456
Receive Timestamp (rec): 3921478732.4453115
Transmit Timestamp (xmt): 3921478732.4456544
Destination Timestamp (dst): 3921478732.4647408

Times
 Reference time: 1712488960.322452
 Origin time: 1712489932.4364562
 Receive time: 1712489932.4453115
 Transmit time: 1712489932.4456544
 Destination time: 1712489932.4647408
 | ntp_offset=-0.005115509033203125;0.2;0.5; ntp_delay=0.02794170379638672;0.2;0.5; ntp_root_dispersion=0.0051116943359375;200;500;

```
